Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.jboss.txbridge.ba.annotation
Enum BAAgreementType

    java.lang.Object
      java.lang.Enum<BAAgreementType>
          org.jboss.txbridge.ba.annotation.BAAgreementType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<BAAgreementType>

    public enum BAAgreementType

extends java.lang.Enum<BAAgreementType>

List of supported agreement protocols the BA Service may enlist for. Those are the protocols defined in the WS-BusinessActivity specification: PARTICIPANT_COMPLETION - Business Agreement With Participant Completion COORDINATOR_COMPLETION - Business Agreement With Coordinator Completion

Version:
  0.1
Author:
  Maciej P. Machulak (mmachulak@redhat.com)

Enum Constant Summary
`COORDINATOR_COMPLETION`
`PARTICIPANT_COMPLETION`

Method Summary
`static BAAgreementType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static BAAgreementType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### PARTICIPANT_COMPLETION

    public static final BAAgreementType PARTICIPANT_COMPLETION

### COORDINATOR_COMPLETION

    public static final BAAgreementType COORDINATOR_COMPLETION

Method Detail

### values

    public static final BAAgreementType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(BAAgreementType c : BAAgreementType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static BAAgreementType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD